## org.apache.ivy.osgi.p2
Interface XMLInputParser

All Known Implementing Classes:
  P2ArtifactParser, P2CompositeParser, P2MetadataParser

    public interface XMLInputParser

Method Summary
`void` `parse(java.io.InputStream in)`

Method Detail

### parse

    void parse(java.io.InputStream in)
               throws java.text.ParseException,
                      java.io.IOException,
                      org.xml.sax.SAXException

  Throws:
    `java.text.ParseException`
    `java.io.IOException`
    `org.xml.sax.SAXException`